Skip to main content
`Ctrl`+`K`

# pandas.arrays.ArrowStringArray

class pandas.arrays.ArrowStringArray(values)

  Extension array for string data in a `pyarrow.ChunkedArray`.

  Warning

  ArrowStringArray is considered experimental. The implementation and parts of the API may change without warning.

  Parameters:
    values pyarrow.Array or pyarrow.ChunkedArray

      The array of data.

  Attributes

  None |

  Methods

  None |

  See also

  `pandas.array()`

    The recommended function for creating a ArrowStringArray.

  `Series.str`

    The string methods are available on Series backed by a ArrowStringArray.

  Notes

  ArrowStringArray returns a BooleanArray for comparison methods.

  Examples

      >>> pd.array(['This is', 'some text', None, 'data.'], dtype="string[pyarrow]")
      <ArrowStringArray>
      ['This is', 'some text', <NA>, 'data.']
      Length: 4, dtype: string